{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.Cogl.Config as Cogl
import qualified GI.GObject.Config as GObject
import qualified GI.Pango.Config as Pango
import qualified GI.PangoCairo.Config as PangoCairo


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "CoglPango"
        version = "1.0"
        pkgName = "gi-coglpango"
        pkgVersion = "1.0.5"
        overridesFile = Just "CoglPango.overrides"
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:Cogl" Cogl.overrides, TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Pango" Pango.overrides, TaggedOverride "inherited:PangoCairo" PangoCairo.overrides]
